Create entity (typeIds + name; optional email / whatsappNo / custom field values)
POST
/api/dash/{orgId}/entities
const url = 'https://api.medivy.id/api/dash/example/entities';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"typeIds":["example"],"name":"example","email":"example","whatsappNo":"example","legalName":"example","alias":"example","note":"example","description":"example","tags":"example","color":"example","outletId":"example","parentId":"example","ownerId":"example","imageId":"example","coverImageId":"example","access":"private","isActive":true,"extraData":{"additionalProperty":"example"},"values":[{"customFieldId":"example","value":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.medivy.id/api/dash/example/entities \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "typeIds": [ "example" ], "name": "example", "email": "example", "whatsappNo": "example", "legalName": "example", "alias": "example", "note": "example", "description": "example", "tags": "example", "color": "example", "outletId": "example", "parentId": "example", "ownerId": "example", "imageId": "example", "coverImageId": "example", "access": "private", "isActive": true, "extraData": { "additionalProperty": "example" }, "values": [ { "customFieldId": "example", "value": "example" } ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”orgId
required
string
Your organization ID. The API key must belong to this organization.
Request Body
Section titled “Request Body”Media typeapplication/json
object
typeIds
required
Array<string>
name
required
string
email
string | null
whatsappNo
string | null
legalName
string | null
alias
string | null
note
string | null
description
string | null
tags
string | null
color
string | null
outletId
string | null
parentId
string | null
ownerId
string | null
imageId
string | null
coverImageId
string | null
access
string
isActive
boolean
extraData
object
key
additional properties
Responses
Section titled “Responses”Created
Media typeapplication/json
Example generated
exampleMissing, invalid, disabled or expired API key.
Media typeapplication/json
object
ok
message
string
Example
{ "ok": false}The key belongs to another organization, the request came from an IP outside the key’s allowlist, or the key’s user lacks the permission.
Media typeapplication/json
object
ok
message
string
Example
{ "ok": false}Too many requests from this organization.
Media typeapplication/json
object
ok
message
string
Example
{ "ok": false}